<?php
$wp_customize->add_section(
	'appoi_section',
	array(
		'title'         => __( 'Appointment Section', 'Luzuk Premium' ), 
		'panel'   => 'luzuk_premium_home_panel',
	)
);
    //ENABLE/DISABLE CONTACT SECTION
$wp_customize->add_setting(
	'appoi_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'appoi_disable',
		array(
			'settings'      => 'appoi_disable',
			'section'       => 'appoi_section',
			'label'         => __( 'Disable Section', 'Luzuk Premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk Premium' ),
				'off' => __( 'No', 'Luzuk Premium' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'appointment', 'appoi_section', $color='#fff', get_template_directory_uri().'/images/home_1_bg_layers.png', 'color');
lzCustomLable($wp_customize, 'appoi_sectionnpadding', 'appoi_section', 'Padding For Section');

$wp_customize->add_setting(
    'contactsection_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contactsection_toppadding',
    array(
        'settings'      => 'contactsection_toppadding',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'contactsection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contactsection_bottompadding',
    array(
        'settings'      => 'contactsection_bottompadding',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Bottom ', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'app-secheading', 'appoi_section', 'Section Heading & Sub Heading');

$wp_customize->add_setting(
    'appform_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'BOOK APPOINTMENT', 'luzuk' )
    )
);
$wp_customize->add_control(
    'appform_maintitle',
    array(
        'settings'      => 'appform_maintitle',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'app_secheadingclr', 'appoi_section', 'Section Heading Color', '#2a2a2a');

$wp_customize->add_setting(
    'apphedingtxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras aliquet augue non nibh tristique, vel euismod orci dignissim. Mauris consectetur iaculis erat eget tristique. ', 'luzuk' )
    )
);
$wp_customize->add_control(
    'apphedingtxt',
    array(
        'settings'      => 'apphedingtxt',
        'section'       => 'appoi_section',
        'type'          => 'textarea',
        'label'         => __( 'Section Sub Heading Text', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'app_secsubheadingclr', 'appoi_section', 'Section Sub Heading Text Color', '#989898');
// ===========Form Section ==========//

lzCustomLable($wp_customize, 'contactf', 'appoi_section', 'Form Section ');

addColorPalatOption($wp_customize, 'inquiry_formolayclr', 'appoi_section', 'Form BG Color', '#fff'); 

lzCustomLable($wp_customize, 'appointmentright_Form_label', 'appoi_section', 'Contact Inquiry Form Shortcode');

lzAddElement($wp_customize, 'luzuk_inquiry_shortcode', 'appoi_section', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');

//form input text / placeholder color
addColorPalatOption($wp_customize, 'inquiry_forminputtxtClr', 'appoi_section', 'Form Input Text / Placeholder Color', '#afafaf');

addColorPalatOption($wp_customize, 'inquiry_forminputbgColor', 'appoi_section', 'Form Input Border Color', '#dadada');

//form label color
addColorPalatOption($wp_customize, 'inquiry_formlabelColor', 'appoi_section', 'Form Label Color', '#000');

//form button text color
addColorPalatOption($wp_customize, 'inquiry_formbuttontextColor', 'appoi_section', 'Form Button Text Color', '#fff');

//form button text color
addColorPalatOption($wp_customize, 'inquiry_formbuttontexthvcolor', 'appoi_section', 'Form Button Text Hover Color', '#fff');

//form button background color
addColorPalatOption($wp_customize, 'inquiry_formbuttonbgColor', 'appoi_section', 'Form Button BG Color', '#0797ea');

//form button background color
addColorPalatOption($wp_customize, 'inquiry_formbuttonbghoverColor', 'appoi_section', 'Form Button BG Hover Color', '#000');

lzCustomLable($wp_customize, 'app_rightbox', 'appoi_section', 'Right Side Box');

backgroundManager($wp_customize, 'app-rhsbx ', 'appoi_section', $color='#fff', get_template_directory_uri().'/images/Group.png', 'color');

lzCustomLable($wp_customize, 'app_rhsOverlay', 'appoi_section', 'Section Right Side Overlay ');

$wp_customize->add_setting(
    'app_Opacityrhs',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.8', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'app_Opacityrhs',
    array(
        'settings'      => 'app_Opacityrhs',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Right Box Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'inquiry_rhsolyColor', 'appoi_section', 'Section Right Box Overlay Color', '#0089ff');

$wp_customize->add_setting(
    'app_rhstitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Contact With Us ? ', 'luzuk' )
    )
);
$wp_customize->add_control(
    'app_rhstitle',
    array(
        'settings'      => 'app_rhstitle',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Right Box Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'inquiry_rightbxheadingclr', 'appoi_section', 'Right Box Heading Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_rightbxiconclr', 'appoi_section', 'Right Box Contact Icon Color', '#0797ea');

addColorPalatOption($wp_customize, 'inquiry_rightbxiconhvclr', 'appoi_section', 'Right Box Contact Icon Hover Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_rightbxiconbgclr', 'appoi_section', 'Right Box Contact Icon BG Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_rightbxiconbghvclr', 'appoi_section', 'Right Box Contact Icon BG Hover Color', '#000');

$wp_customize->add_setting(
    'sec_contact',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '(123) 4567890 ', 'luzuk' )
    )
);
$wp_customize->add_control(
    'sec_contact',
    array(
        'settings'      => 'sec_contact',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Right Box Contact Number', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'inquiry_rightbxcontactnoclr', 'appoi_section', 'Right Box Contact Number Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_rightbxcontactnohvclr', 'appoi_section', 'Right Box Contact Number Hover Color', '#000');
$wp_customize->add_setting(
    'sec_button',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'CALL NOW ', 'luzuk' )
    )
);
$wp_customize->add_control(
    'sec_button',
    array(
        'settings'      => 'sec_button',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'inquiry_rightbxbttntxtclr', 'appoi_section', 'Right Box Button Text Color', '#0797ea');

addColorPalatOption($wp_customize, 'inquiry_rightbxbttntxthvclr', 'appoi_section', 'Right Box Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_rightbxbttntxtbgclr', 'appoi_section', 'Right Box Button BG Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_rightbxbttntxtbghvclr', 'appoi_section', 'Right Box Button BG Hover Color', '#000');

$wp_customize->add_setting(
    'inftxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Delanson, New York, 12053' )
    )
);
$wp_customize->add_control(
    'inftxt',
    array(
        'settings'      => 'inftxt',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Box Address', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'infemiltxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'yourmailhere@gmail.com' )
    )
);
$wp_customize->add_control(
    'infemiltxt',
    array(
        'settings'      => 'infemiltxt',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Box Email', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'inquiry_btntxtclr', 'appoi_section', 'Right Box Address & Email Text Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_btntxtphemclr', 'appoi_section', 'Right Box Email Hover Color', '#000');

addColorPalatOption($wp_customize, 'inquiry_btntxticnclr', 'appoi_section', 'Right Box Text Icon Color', '#fff');